図 4 この科目が生きる大学の学問この科目が生きる大学の学問 3
情報学
Beautiful is better than ugly. で始まる Python の心得、技術の文書の MUST と SHOULD、Fix typo と書く変更の記録。情報学では、高校の英語で学ぶ比較級・助動詞・命令文が、プログラムと技術の文書を正しく読み書きする道具になります。

ひとことで言うと
試合のルールブックを読むとき
スポーツのルールブックでは、「しなければならない」と「してもよい」の違いが、反則かどうかを分けます。プログラムを作る人が読む技術の文書も同じです。英語の助動詞 1 つの違いが、作るものの動きを変えます。

01
import this: Python の心得は比較級で書かれている
プログラミング言語 Python で import this と打つと、19 の短い英文が表示されます。「The Zen of Python」と呼ばれる、Python の設計の心得です。1 行目は Beautiful is better than ugly.(醜いより美しいほうがよい)。高校で学ぶ比較級の文です。
続いて Explicit is better than implicit.(暗黙より明示)、Simple is better than complex.(複雑より単純)と並びます。Complex is better than complicated. という行もあります。辞書によると、complex は「互いに関係する部分が多い」、complicated は「部分が多くて分かりにくい」。似た 2 つの単語の違いが、そのまま設計の考え方になっています。
この心得をまとめた文書 PEP 20 には、心得は 20 あるのに、書き留められたのは 19 だけ、と書かれています。中には unless you're Dutch(オランダ人でなければ)という冗談の行もあります。Python は 1990 年代の初めに、オランダの研究所 CWI で、グイド・ヴァン・ロッサムが作った言語です。
Python の書き方の決まり PEP 8 には、コードは書かれるより読まれることのほうがずっと多い、というグイドの考えが紹介されています。標準のライブラリの名前には、できる限り英語の単語を使うべき(SHOULD)だ、とも書かれています。高校で覚えた単語が、名前を付けるときに生きてきます。
比較級と、似た単語の使い分けが、プログラムを書く心得になっています。
図解import this の英文を読む
- 1Beautiful is better than ugly.(比較級)
- 2Simple is better than complex.
- 3Readability counts.(読みやすさが大事)


02
RFC の MUST と SHOULD: 助動詞の違いが仕様を決める
インターネットの通信の決まりは、RFC という文書にまとめられています。RFC 1 が出たのは 1969 年 4 月 7 日。書いたのは、カリフォルニア大学ロサンゼルス校(UCLA)にいたスティーブ・クロッカーです。当時、仲間の多くは大学院生でした。
クロッカーはのちに、正式な設計者たちの気分を害さないかと心配し、眠れない夜に控えめな言葉を考えたと書いています。そうして付けた名前が Request for Comments(ご意見をください)でした。番号は 2026 年に 1 万を超え、今も新しい RFC が出ています。
RFC を読むときに大事なのが、MUST・SHOULD・MAY の違いです。1997 年の RFC 2119 は、MUST を「絶対に守るべき要件」と定めました。SHOULD は、特別な事情で外れる正当な理由がありうるが、影響をよく理解して比べたうえで、という意味です。MAY は、本当に選んでよいことを表します。
2017 年の RFC 8174 では、この意味になるのは、すべて大文字で書かれたときだけと決められました。Web の技術の標準を作る W3C の文書も、同じ決まりを使っています。高校で学ぶ must・should・may の違いが、世界中の技術者の約束ごとになっているのです。
助動詞の意味の違いを正確に読むことが、決まりを守る第一歩です。
図解RFC 2119 の 3 つの言葉
MUST
- 絶対に守るべき要件
- 高校の訳: 〜しなければならない
SHOULD
- 正当な理由があれば外れてよい
- ただし影響をよく考えてから
- 高校の訳: 〜すべきだ
MAY
- 本当に選んでよい
- 高校の訳: 〜してもよい


03
404 Not Found と 418 I'm a teapot
Web ページが見つからないと、「404 Not Found」と表示されることがあります。この番号と言葉も、RFC で決められています。2022 年の RFC 9110 には、ほかの番号も並んでいます。403 は Forbidden(禁止されている)、503 は Service Unavailable(サービスを使えない)です。found や forbidden は過去分詞です。
変わり種が 418 です。1998 年 4 月 1 日、エイプリルフールに出た RFC 2324 は、ネットワークでコーヒーポットを操作する冗談の決まりでした。ティーポットでコーヒーをいれようとしたら、「418 I'm a teapot(私はティーポットです)」を返すことになっています。
この冗談はあちこちで使われすぎたため、RFC 9110 は 418 を、将来も別の意味には使わない番号として予約しました。決まりの文書を英語で読むと、技術者たちの遊び心にも出会えます。
エラーの言葉も、高校で学ぶ文法と単語で読み解けます。
図解エラーの番号と英語(RFC 9110)
403
- Forbidden
- forbid(禁じる)の過去分詞
404
- Not Found
- find(見つける)の過去分詞
503
- Service Unavailable
- available(使える)の反対

04
書く英語: 変更の記録は命令文で
チームでプログラムを作るときは、Git というツールで変更の記録を残します。記録ごとに付ける短い説明を、コミットメッセージと呼びます。海外の開発者と一緒に作るときは、英語で書きます。
Git の開発者向けの手引きは、変更を命令文で書くように求めています。makes や changed ではなく、make のように動詞の原形で始め、プログラムに命令するつもりで書く、というのです。例えば Fixed the typo. ではなく Fix the typo と書きます。1 行目は 50 文字ほどにまとめ、最後のピリオドは付けません。
実際に Python 本体の開発の記録を見ると、Fix・Add・Remove・Improve などの動詞で始まる 1 行が並んでいます。高校で学ぶ命令文と動詞の原形が、そのまま開発の現場の書き方になっているのです。
動詞の原形で始める命令文が、変更の記録の基本の形です。
図解コミットメッセージの書き方
避けたい形
- Fixed the typo.
- This patch adds a test
- 過去形・三単現・ピリオド
すすめられる形
- Fix the typo
- Add a test for login
- 動詞の原形で始める命令文

05
情報学に進むなら: 高校で伸ばしておきたい英語の力
多くの大学では、情報学の授業は日本語で行われます。それでも学年が上がるほど、英語の資料や論文、海外の開発者とのやり取りが増えていきます(大学によって異なります)。
高校のうちに伸ばしておきたいのは、短い英文を正確に読む力です。比較級、助動詞の must・should・may、命令文、過去分詞。このページに出てきた文法は、どれも中学・高校で学ぶものです。「論理・表現」で、言いたいことを 1 文で短く書く練習をしておくと、変更の記録や不具合の報告にそのまま使えます。
情報学の面白さは、世界中の人が同じ決まりを読み、同じものを作り、少しずつ良くしていけることです。アルゴリズムやネットワーク、AI など、大学の情報学の分野は、このサイトの大学の学問「情報学」のページで紹介しています。
短い英文を正確に読み、短く書く力が、情報学の英語の土台です。
高校生のうちに試せること
import this を打ってみる
Python の公式サイトには、ブラウザーで Python を試せるページがあります。import this と打って、表示される 19 の英文を読みましょう。比較級の文に印を付け、日本語に訳してみてください。
Python 公式サイトのシェルRFC 2119 を全文読む
RFC 2119 は、MUST・SHOULD・MAY などの意味を決めた、数ページの短い文書です。SHOULD の定義の英文を、辞書を引きながら訳してみましょう。
RFC 2119開発の記録の動詞を数える
GitHub では、Python 本体の開発の記録を誰でも見られます。メッセージの最初の動詞を 10 個集め、どんな動詞が多いかを数えてみましょう。
GitHub「python/cpython」の記録
「情報学」に関連するコミュニティ
研究室・部活・サークルなど、全国の 132 件から探せます。
よくある質問
英語の文法は、プログラミングで本当に役に立ちますか?
役に立ちます。RFC の MUST と SHOULD のように、助動詞 1 つで守るべき強さが変わる文書があります。変更の記録は、命令文で書くのが基本です。単語の意味だけでなく、文の形を正確に読む力が生きます。
RFC のような技術の文書は、高校生でも読めますか?
読める部分がたくさんあります。RFC 2119 で使われている文法は、高校で学ぶ範囲です。分からない専門用語は、その都度調べれば大丈夫です。
プログラムの名前やコメントは、英語で書かないといけないのですか?
決まりはチームによって違います。PEP 8 は、世界中の人が使うオープンソースのプロジェクトに、英語の単語を使う方針を取り入れることをすすめています。日本のチームの中だけで使うプログラムでは、日本語でコメントを書くこともあります。



